pcl::common::IntensityFieldAccessor< pcl::PointXYZ > Struct Template Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointXYZ &p) const
void | get (const pcl::PointXYZ &p, float &intensity) const
void | set (pcl::PointXYZ &p, float intensity) const
void | demean (pcl::PointXYZ &p, float value) const
void | add (pcl::PointXYZ &p, float value) const

## Detailed Description

### template<>
struct pcl::common::IntensityFieldAccessor< pcl::PointXYZ >

Definition at line 84 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZ >::add | ( | pcl::PointXYZ & | p,
|  | float | value
| ) |  | const

inline

Definition at line 111 of file intensity.hpp.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZ >::demean | ( | pcl::PointXYZ & | p,
|  | float | value
| ) |  | const

inline

Definition at line 105 of file intensity.hpp.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZ >::get | ( | const pcl::PointXYZ & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 93 of file intensity.hpp.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointXYZ >::operator() | ( | const pcl::PointXYZ & | p | ) | const

inline

Definition at line 87 of file intensity.hpp.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZ >::set | ( | pcl::PointXYZ & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 99 of file intensity.hpp.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp